# H235_ClearToken Class Reference

`#include <h235.h>`

Inheritance diagram for H235_ClearToken:

List of all members.

## Public Types

enum | OptionalFields { e_timeStamp, e_password, e_dhkey, e_challenge, e_random, e_certificate, e_generalID, e_nonStandard, e_eckasdhkey, e_sendersID, e_h235Key, e_profileInfo }

## Public Member Functions

| H235_ClearToken (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_ObjectId | m_tokenOID
H235_TimeStamp | m_timeStamp
H235_Password | m_password
H235_DHset | m_dhkey
H235_ChallengeString | m_challenge
H235_RandomVal | m_random
H235_TypedCertificate | m_certificate
H235_Identifier | m_generalID
H235_NonStandardParameter | m_nonStandard
H235_ECKASDH | m_eckasdhkey
H235_Identifier | m_sendersID
H235_H235Key | m_h235Key
H235_ArrayOf_ProfileElement | m_profileInfo

## Member Enumeration Documentation

enum H235_ClearToken::OptionalFields

Enumerator:

  e_timeStamp |
  e_password |
  e_dhkey |
  e_challenge |
  e_random |
  e_certificate |
  e_generalID |
  e_nonStandard |
  e_eckasdhkey |
  e_sendersID |
  e_h235Key |
  e_profileInfo |

## Constructor & Destructor Documentation

H235_ClearToken::H235_ClearToken | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H235_ClearToken::GetDataLength | ( |  | ) | const

PBoolean H235_ClearToken::Decode | ( | PASN_Stream & | strm | ) |

void H235_ClearToken::Encode | ( | PASN_Stream & | strm | ) | const

void H235_ClearToken::PrintOn | ( | ostream & | strm | ) | const

Comparison H235_ClearToken::Compare | ( | const PObject & | obj | ) | const

PObject* H235_ClearToken::Clone | ( |  | ) | const

Reimplemented in H225_FastStartToken, and H235_PwdCertToken.

## Member Data Documentation

PASN_ObjectId H235_ClearToken::m_tokenOID

H235_TimeStamp H235_ClearToken::m_timeStamp

H235_Password H235_ClearToken::m_password

H235_DHset H235_ClearToken::m_dhkey

H235_ChallengeString H235_ClearToken::m_challenge

H235_RandomVal H235_ClearToken::m_random

H235_TypedCertificate H235_ClearToken::m_certificate

H235_Identifier H235_ClearToken::m_generalID

H235_NonStandardParameter H235_ClearToken::m_nonStandard

H235_ECKASDH H235_ClearToken::m_eckasdhkey

H235_Identifier H235_ClearToken::m_sendersID

H235_H235Key H235_ClearToken::m_h235Key

H235_ArrayOf_ProfileElement H235_ClearToken::m_profileInfo

The documentation for this class was generated from the following file:

- h235.h